/***********************************
 *
 * RRDJTOOL
 * JNI Wrapper for RRDTool functions
 * version 1.0.1 (Feb 17, 2003)
 * by Sasa Markovic <sasam@dnseurope.co.uk>
 *
 * Currently supported functions:
 *
 *		rrdcreate
 *      rrdgraph
 *		rrdupdate (fixed bug in initial release)
 *      rrdfetch
 *      rrdlast
 */

#include <jni.h>
/* Header for class rrd_Rrd */

#ifndef _Included_rrd_Rrd
#define _Included_rrd_Rrd
#ifdef __cplusplus
extern "C" {
#endif
/* Inaccessible static: pattern */
/* Inaccessible static: ourInstance */
/*
 * Class:     rrd_Rrd
 * Method:    createRrdDatabase
 * Signature: ([Ljava/lang/String;)I
 */
JNIEXPORT jint JNICALL Java_rrd_Rrd_createRrdDatabase
  (JNIEnv *, jobject, jobjectArray);

/*
 * Class:     rrd_Rrd
 * Method:    updateRrdDatabase
 * Signature: ([Ljava/lang/String;)I
 */
JNIEXPORT jint JNICALL Java_rrd_Rrd_updateRrdDatabase
  (JNIEnv *, jobject, jobjectArray);

/*
 * Class:     rrd_Rrd
 * Method:    createRrdGraph
 * Signature: ([Ljava/lang/String;)I
 */
JNIEXPORT jint JNICALL Java_rrd_Rrd_createRrdGraph
  (JNIEnv *, jobject, jobjectArray);

/*
 * Class:     rrd_Rrd
 * Method:    getRrdLast
 * Signature: ([Ljava/lang/String;)J
 */
JNIEXPORT jlong JNICALL Java_rrd_Rrd_getRrdLast
  (JNIEnv *, jobject, jobjectArray);

/*
 * Class:     rrd_Rrd
 * Method:    fetchRrdDatabase
 * Signature: ([Ljava/lang/String;)I
 */
JNIEXPORT jint JNICALL Java_rrd_Rrd_fetchRrdDatabase
  (JNIEnv *, jobject, jobjectArray);

/*
 * Class:     rrd_Rrd
 * Method:    getRrdError
 * Signature: ()Ljava/lang/String;
 */
JNIEXPORT jstring JNICALL Java_rrd_Rrd_getRrdError
  (JNIEnv *, jobject);

/*
 * Class:     rrd_Rrd
 * Method:    getRrdOutput
 * Signature: ()Ljava/lang/String;
 */
JNIEXPORT jstring JNICALL Java_rrd_Rrd_getRrdOutput
  (JNIEnv *, jobject);

/*
 * Class:     rrd_Rrd
 * Method:    getDsNames
 * Signature: ()[Ljava/lang/String;
 */
JNIEXPORT jobjectArray JNICALL Java_rrd_Rrd_getDsNames
  (JNIEnv *, jobject);

/*
 * Class:     rrd_Rrd
 * Method:    getDsValues
 * Signature: ()[D
 */
JNIEXPORT jdoubleArray JNICALL Java_rrd_Rrd_getDsValues
  (JNIEnv *, jobject);

/*
 * Class:     rrd_Rrd
 * Method:    getTimestamps
 * Signature: ()[J
 */
JNIEXPORT jlongArray JNICALL Java_rrd_Rrd_getTimestamps
  (JNIEnv *, jobject);

#ifdef __cplusplus
}
#endif
#endif
